function FTh = Ea_wz(a,z,nb,lz,dz)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Calcuating sample average of exponential function multiplied by a
% function

n=length(z);
h=zeros(nb,1);
j=1;
while j <= n
    jj=1+round((z(j)-lz)/dz);
    h(jj)=h(jj)+a(j);
    j=j+1;
end
FTh=(fft(h).*nb/n).*cseqm(1,-1,nb);
