function [cfkern,k] = kern(h,nb,lz,dz)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Generate kernel and its Fourier transform

cutoff=1/h;
ws=(0:1/(nb*dz):1/(nb*dz)*(nb/2))';
ws=[ws;flipud(ws(2:nb/2))];
windowing=smooth_window(ws./cutoff);

zz=lz+dz*(nb/2);
FTv=calc_FTv(zz,nb,lz,dz);
cfkern=conj(FTv.*windowing);
k=real(ifft(cfkern));

