function e = Ey_x(yhat,lz,dz,z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Select estimated E[Y|X=x] or its derivative

x=(z-lz)/dz;
j=floor(x);
maxi=length(yhat)-2;
j=j.*(j>=0).*(j<=maxi) + (j>maxi).*maxi;
di=x-j;
e = (1-di).*yhat(j+1) + di.*yhat(j+2);
