function g = true_g(x,c)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Generate true g: error function or piecewise linear continuous function

if c==0
    g = x./abs(x).*erf(abs(x));
else
    g = -(x<-1)+(x>1)+(x>=-1).*(x<=1).*x;
end